Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81047

Summary: Should offer to run redhat-config-printer-gui when no printers found
Product: [Retired] Red Hat Linux Reporter: Owen Taylor <otaylor>
Component: printmanAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: elwoo, hp, mitr
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.0.1-0.20021202.10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-07-31 08:38:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579, 100644    

Description Owen Taylor 2003-01-03 20:21:52 UTC
On new install, you have the printman icon sitting there. You
double click on it, you get an error message, you have to go
to the menus to find out where to configure your printer

Making the dialog be along the lines of:

 No printers found. Run the printer configuration
 tool?
                               [ Cancel ] [ COnfigure ]

Would be a very nice.

Comment 1 Tim Waugh 2003-01-07 11:24:16 UTC
Fixed package is 0.0.1-0.20021202.9.  Needs translating though; how do I get
that done?

Comment 2 Owen Taylor 2003-01-08 19:54:20 UTC
Not really sure what to suggest about translation; not clear to me how
we are handling that for GNOME local change this time around for translation.

Two other comments:

 - The packing of the dialog buttons is rather odd - there is no space
   between them. How are you creating the dialog?
   
 - is there any way we can get printman to refresh the list of printers
   after redhat-config-printer-gui is done? It's cool that it runs
   the tool, but then lame when the new printer isn't listed there.

Comment 3 Havoc Pennington 2003-01-08 20:01:46 UTC
Translation is done by putting your source on elvis CVS server, and notifying 
redhat-i18n-list, usually. pgampe is the guy to ask for details.

Comment 4 Tim Waugh 2003-01-09 14:56:03 UTC
I'm creating the dialog with gnome_ok_cancel_dialog_modal_parented.  Is that the
wrong thing to use?

0.0.1-0.20021202.10 reloads the print queues after running the config tool.

Comment 5 Owen Taylor 2003-01-09 15:32:44 UTC
You want gtk_message_dialog_new():

http://developer.gnome.org/doc/API/2.2/gtk/GtkMessageDialog.html#gtk-message-dialog-new

gnome_dialog_* is legacy stuff.


Comment 6 Tim Waugh 2003-01-09 15:49:58 UTC
Okay, fixed in CVS.

Comment 7 Elton Woo 2003-03-07 20:00:48 UTC
Today, I attempted to change the printer properties while it was printing. The 
Printer Configuration Tool returned the message:"Media tray empty!". Not only is
this incorrect, it is also misleading (e.g. in the case of a remote printer on a
LAN). 

I would suggest that the message should be changed to "printer IN USE".

Comment 8 Tim Waugh 2003-03-07 20:13:34 UTC
Please don't bundle different issues into the same bug report; it means they
can't be tracked properly.  Instead, open a separate report for the issue you've
seen please.  Many thanks.

Comment 9 Elton Woo 2003-03-07 21:08:25 UTC
... my apologies ... I guess I was being lazy!: it is now posted as Bug#85797